:root {
    --keycloak-logo-url: url('../img/itsc-logo.svg');
    --keycloak-card-top-color: #b21023;
    --keycloak-primary-color: #b21023;
    --keycloak-primary-hover: #92101c;

}

/* Logo im Header anpassen */
.pf-v5-c-masthead__brand img,
.pf-v5-c-brand img {
    content: var(--keycloak-logo-url);
    height: 40px;
    width: auto;
    max-width: 200px;
}

/* Fallback für Logo wenn img nicht funktioniert */
.pf-v5-c-masthead__brand {
    background-image: var(--keycloak-logo-url);
    background-repeat: no-repeat;
    background-size: contain;
    background-position: left center;
    height: 50px;
    width: 200px;
    color: transparent !important;
}

.pf-v5-c-masthead__brand * {
    opacity: 0;
}

.pf-v5-c-tabs__item.pf-m-current {
    --pf-v5-c-tabs__link--Color: var(--pf-v5-c-tabs__item--m-current__link--Color) !important;
    --pf-v5-c-tabs__link--after--BorderColor: var(--keycloak-primary-color) !important;
    --pf-v5-c-tabs__link--after--BorderWidth: var(--pf-v5-c-tabs__item--m-current__link--after--BorderWidth) !important;
}

.pf-v5-c-button.pf-m-primary {
    background-color: var(--keycloak-primary-color) !important;
    border-color: var(--keycloak-primary-color) !important;
    color: white !important;
}

.pf-v5-c-button.pf-m-link {
    color: var(--keycloak-primary-color) !important;
}

.pf-v5-c-switch__input:checked~.pf-v5-c-switch__toggle {
    background-color: var(--keycloak-primary-color) !important;
}

.pf-v5-c-button.pf-m-secondary {
    background-color: var(--keycloak-primary-color) !important;
    border-color: var(--keycloak-primary-color) !important;
    color: white !important;
}

:where(.pf-v5-theme-dark) .pf-v5-c-nav__link:after {
    border-color: var(--keycloak-primary-color) !important;
}

.pf-v5-c-jump-links__item.pf-m-current>.pf-v5-c-jump-links__link {
    --pf-v5-c-jump-links__item--m-current__link--before--BorderColor: var(--keycloak-primary-color) !important;
}